Modify

Opened 9 years ago

Closed 5 years ago

Last modified 5 years ago

#5934 closed defect (fixed)

error handling missing, when nominatim server returns garbage

Reported by: Luebeck Owned by: team
Priority: normal Milestone: 14.10
Component: Core Version: latest
Keywords: template_report nominatim Cc: xteejyx@…

Description (last modified by Don-vip)

What steps will reproduce the problem?

  1. open osm-download .... akk
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2011-02-11 02:31:33
Last Changed Author: stoecker
Revision: 3887
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2011-02-10 20:32:52 +0100 (Thu, 10 Feb 2011)
Last Changed Rev: 3887

Identification: JOSM/1.5 (3887 de)
Memory Usage: 45 MB / 989 MB (5 MB allocated, but free)
Java version: 1.6.0_21, Sun Microsystems Inc., Java HotSpot(TM) Client VM
Operating system: Windows 7

Plugin: AddrInterpolation (23420)
Plugin: OpeningHoursEditor (24290)
Plugin: PicLayer (24308)
Plugin: RoadSigns (22850)
Plugin: buildings_tools (23804)
Plugin: lakewalker (21706)
Plugin: livegps (21706)
Plugin: measurement (25137)
Plugin: openstreetbugs (23747)
Plugin: public_transport (22148)
Plugin: surveyor (21706)
Plugin: terracer (24956)
Plugin: touchscreenhelper (21576)
Plugin: turnrestrictions (24937)
Plugin: undelete (24905)
Plugin: utilsplugin2 (24792)
Plugin: walkingpapers (22549)
Plugin: wayselector (23103)

java.lang.reflect.InvocationTargetException
	at java.awt.EventQueue.invokeAndWait(Unknown Source)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:88)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:129)
	at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
	at java.util.concurrent.FutureTask$Sync.innerRun(Unknown Source)
	at java.util.concurrent.FutureTask.run(Unknown Source)
	at java.util.concurrent.ThreadP

Attachments (0)

Change History (12)

comment:1 Changed 9 years ago by Luebeck

Nach dem Schließen des Fehlerreportes kam die nächster Fehlermeldung!

after closing the error dialog the next error messages comes !

comment:2 Changed 9 years ago by bastiK

If still reproducible with latest, report full stack trace from console, please.

comment:3 Changed 9 years ago by dieterdreist

I think my problem might be related. Tried to download OSM data from the nominatim tab when I got this:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2011-02-22 02:31:33
Last Changed Author: bastiK
Revision: 3925
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2011-02-22 00:02:18 +0100 (Tue, 22 Feb 2011)
Last Changed Rev: 3925

Identification: JOSM/1.5 (3925 en)
Memory Usage: 47 MB / 989 MB (16 MB allocated, but free)
Java version: 1.6.0_20, Sun Microsystems Inc., Java HotSpot(TM) Client VM
Operating system: Linux

Plugin: AddrInterpolation (25199)
Plugin: Create_grid_of_ways (25192)
Plugin: DirectUpload (25199)
Plugin: PicLayer (25219)
Plugin: alignways (25199)
Plugin: buildings_tools (25192)
Plugin: colorscheme (25192)
Plugin: dataimport (25192)
Plugin: download_along (25190)
Plugin: editgpx (25192)
Plugin: fuzzer (15)
Plugin: graphview (25199)
Plugin: measurement (25199)
Plugin: multipoly-convert (25192)
Plugin: openstreetbugs (25199)
Plugin: openvisible (25192)
Plugin: osmarender (25192)
Plugin: photo_geotagging (25199)
Plugin: public_transport (25192)
Plugin: reverter (25190)
Plugin: tageditor (25191)
Plugin: tagging-preset-tester (25191)
Plugin: terracer (25199)
Plugin: turnrestrictions (25199)
Plugin: undelete (25199)
Plugin: walkingpapers (25191)
Plugin: waydownloader (25190)
Plugin: wayselector (25191)

org.openstreetmap.josm.io.OsmTransferException: org.xml.sax.SAXParseException: Content is not allowed in prolog.
	at org.openstreetmap.josm.gui.download.PlaceSelection$NameQueryTask.realRun(PlaceSelection.java:377)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:83)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:129)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:441)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:619)
Caused by: org.xml.sax.SAXParseException: Content is not allowed in prolog.
	at com.sun.org.apache.xerces.internal.util.ErrorHandlerWrapper.createSAXParseException(ErrorHandlerWrapper.java:195)
	at com.sun.org.apache.xerces.internal.util.ErrorHandlerWrapper.fatalError(ErrorHandlerWrapper.java:174)
	at com.sun.org.apache.xerces.internal.impl.XMLErrorReporter.reportError(XMLErrorReporter.java:388)
	at com.sun.org.apache.xerces.internal.impl.XMLScanner.reportFatalError(XMLScanner.java:1414)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl$PrologDriver.next(XMLDocumentScannerImpl.java:1039)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentScannerImpl.next(XMLDocumentScannerImpl.java:648)
	at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(XMLDocumentFragmentScannerImpl.java:511)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:808)
	at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(XML11Configuration.java:737)
	at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(XMLParser.java:119)
	at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(AbstractSAXParser.java:1205)
	at com.sun.org.apache.xerces.internal.jaxp.SAXParserImpl$JAXPSAXParser.parse(SAXParserImpl.java:522)
	at javax.xml.parsers.SAXParser.parse(SAXParser.java:395)
	at org.openstreetmap.josm.gui.download.PlaceSelection$NameQueryTask.realRun(PlaceSelection.java:371)
	... 8 more
Last edited 5 years ago by Don-vip (previous) (diff)

comment:4 Changed 9 years ago by bastiK

Priority: blockernormal

There seems to be some error handling missing, when nominatim server returns garbage.

Also the URL should be configurable, but it's in the jmapviewer code and we cannot use Main.pref.get(..) there.

comment:5 Changed 5 years ago by Don-vip

Description: modified (diff)

comment:6 Changed 5 years ago by Don-vip

Keywords: nominatim added
Summary: fehlermeldung beim herunterladen von osmdatenerror handling missing, when nominatim server returns garbage

comment:7 Changed 5 years ago by Don-vip

Ticket #10643 has been marked as a duplicate of this ticket.

comment:8 Changed 5 years ago by Don-vip

Cc: xteejyx@… added

comment:9 Changed 5 years ago by Don-vip

Milestone: 14.10

comment:10 Changed 5 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 7628/josm:

fix #5934 - error handling missing, when nominatim server returns garbage

comment:11 Changed 5 years ago by skyper

Ticket #10644 has been marked as a duplicate of this ticket.

comment:12 Changed 5 years ago by Don-vip

Ticket #10645 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.